<?php 
class Comment{
		
	public $fields="from,message,like_count,created_time,attachment";
	public $filter="toplevel";
	public $access_token;
	public $post_id;
	public $comments_next_page;
	public $replies_next_page;
	public $util;
	
	public function __construct($util){
		$this->util = $util;
	}
	
	// get comments
	function show_comments(){
		
		if(empty($this->comments_next_page)){
			$json_link_comments_parent="https://graph.facebook.com/v2.4/{$this->post_id}/comments?access_token=" 
										. $this->access_token . "&fields={$this->fields}&filter={$this->filter}&limit=5";
		}
		
		else{
			$json_link_comments_parent=$this->comments_next_page;
		}

		$json_comments_parent = @file_get_contents($json_link_comments_parent);

		if($json_comments_parent===FALSE) { 
			die("Unable to get data.");
		}

		else{
			$obj_comments_parent = json_decode($json_comments_parent, true);

			$comments_count=count($obj_comments_parent['data']);

			// show comments
			if($comments_count>0){
				
				$next_page = isset($obj_comments_parent['paging']['next']) ? $obj_comments_parent['paging']['next'] : "";
				
				foreach($obj_comments_parent['data'] as $comment){
				
					$comment_id = $comment['id'];
					$commenter_id = $comment['from']['id'];
					$commenter_name = $comment['from']['name'];
					
					$like_count=isset($comment['like_count']) ? $comment['like_count'] : 0;
					$comment_like_count = $this->util->formatCount($like_count);
					$message = $this->util->getNewStringWithMentions(htmlspecialchars_decode(str_replace("\n", "<br>", $comment['message'])));
					
					$attachment_media_image_src = isset($comment['attachment']['media']['image']['src'])
												? $comment['attachment']['media']['image']['src'] : "";
												
					$created_time = $comment['created_time'];
					$start_date = date( 'F d, Y', strtotime($created_time));
					$start_time = date('g:i a', strtotime($created_time));
					
					echo "<div style='margin:.5em 0; width:100%; overflow:hidden;'>";
						echo "<div style='float:left; width:42px; height:42px; border:1px solid #999; margin:5px .5em 0 0;'>";
							echo "<img src='https://graph.facebook.com/{$commenter_id}/picture?type=square' style='width:40px; height:40px;' />";
						echo "</div>";
						echo "<div style='float:left; width:80%;'>";
							echo "<a href='https://facebook.com/{$commenter_id}/' target='_blank'>{$commenter_name}</a> {$message}";
							
							if(!empty($attachment_media_image_src)){
								echo "<div style='display:block; margin:.3em 0;'>";
									echo "<img src='{$attachment_media_image_src}' style='width:100%;'/>";
								echo "</div>";
							}
							
							echo "<div style='float:left; width:100%;'>";
								echo "<i class='fa fa-thumbs-o-up'></i> {$comment_like_count} ";
								echo "<span style='color:#9197a3; margin:0 0 0 .5em;'>";
									echo "<i class='fa fa-clock-o' title='{$start_date} {$start_time}'></i>";
								echo "</span>";
								
								echo "<div class='comment-replies'>";
									$this->show_comment_replies($comment_id);
								echo "</div>";
							echo "</div>";
						echo "</div>";
					echo "</div>"; // end
				}
				
				if(!empty($next_page)){

					echo "<div id='more-comments' style='cursor:pointer;' next-comments='{$next_page}'>";
						echo "<i class='fa fa-arrow-right'></i> View more comments...";
					echo "</div>";
				}
			}
		}
	}

	// get comment replies
	function show_comment_replies($parent_id){
		
		if(empty($this->replies_next_page)){
			$json_link="https://graph.facebook.com/v2.4/{$parent_id}/comments?access_token={$this->access_token}&fields={$this->fields}&filter={$this->filter}&limit=3";
		}
		
		else{
			$json_link=$this->replies_next_page;
		}
		
		$json=@file_get_contents($json_link);

		if($json===FALSE) { 
			die("Unable to get comment replies.");
		}

		else{
			$obj = json_decode($json, true);
			$comments_count=count($obj['data']);
			
			// show comments
			if($comments_count>0){
				
				$next_page = isset($obj['paging']['next']) ? $obj['paging']['next'] : "";
				
				foreach($obj['data'] as $comment){
					
					$comment_id = $comment['id'];
					$commenter_id = $comment['from']['id'];
					$commenter_name = $comment['from']['name'];
					$like_count=isset($comment['like_count']) ? $comment['like_count'] : 0;
					$comment_like_count = $this->util->formatCount($like_count);
					$message = $this->util->getNewStringWithMentions(
									htmlspecialchars_decode(str_replace("\n", "<br>", $comment['message']))
								);
					$attachment_media_image_src = isset($comment['attachment']['media']['image']['src'])
												? $comment['attachment']['media']['image']['src'] : "";
					
					$created_time = $comment['created_time'];
					$start_date = date( 'F d, Y', strtotime($created_time));
					$start_time = date('g:i a', strtotime($created_time));
									
					echo "<div style='margin:.5em 0; width:100%; overflow:hidden;'>";
						echo "<div style='float:left; width:32px; height:32px; border:1px solid #999; margin:5px .5em 0 0;'>";
							echo "<img src='https://graph.facebook.com/{$commenter_id}/picture?type=square' style='width:30px; height:30px;' />";
						echo "</div>";
						echo "<div style='float:left; width:80%;'>";
							echo "<a href='https://facebook.com/{$commenter_id}/' target='_blank'>{$commenter_name}</a> {$message}";
							
							if(!empty($attachment_media_image_src)){
								echo "<div style='display:block; margin:.3em 0;'>";
									echo "<img src='{$attachment_media_image_src}' style='width:100%;'/>";
								echo "</div>";
							}
									
							echo "<div style='float:left; width:100%;'>";
								echo "<i class='fa fa-thumbs-o-up'></i> {$comment_like_count}";
								echo "<span style='color:#9197a3; margin:0 0 0 .5em;'>";
									echo "<i class='fa fa-clock-o' title='{$start_date} {$start_time}'></i>";
								echo "</span>";
							echo "</div>";
						echo "</div>";
					echo "</div>"; // end
				}
				
				if(!empty($next_page)){
					
					echo "<div class='more-replies' style='cursor:pointer;' next-replies='{$next_page}'>";
						echo "<i class='fa fa-arrow-right'></i> View more replies...";
					echo "</div>";
				}
			}
			
			else{
				// show nothing
			}
		}
	}
}