<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// video id and fb page id parameter
$id = isset($_GET['id']) ? $_GET['id'] : die('Video ID not found.');
$fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : die('Facebook page ID not found.');

// set timezone
date_default_timezone_set("America/Los_Angeles");

// page title
$page_title = "View Video";
?>
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo $page_title; ?></title>

	<!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap-3.3.5-dist/css/bootstrap.css" rel="stylesheet" media="screen">

	<!-- blue imp gallery -->
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-3.1.1/css/blueimp-gallery.min.css">
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-3.1.1/css/bootstrap-image-gallery.min.css">

	<!-- font awesome css -->
	<link rel="stylesheet" href="libs/css/font-awesome-4.4.0/css/font-awesome.min.css">

    <!-- custom css -->
	<link rel="stylesheet" href="libs/css/custom.css">

</head>
<body>

<div class="container margin-bottom-2em">
    <div class='row'>

	<?php

	// include_once "notes.php";

	// used for getting mentions, etc.
	include "libs/php/util.php";
	$util=new Util();

	$profile_photo_src = "https://graph.facebook.com/v2.6/{$id}/picture?type=square";

	$access_token = "128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
	$fields = "id,description,created_time,from,picture,source,likes.limit(0).summary(true),comments.limit(0).summary(true)";

	$json_link = "https://graph.facebook.com/v2.6/{$id}/?access_token={$access_token}&fields={$fields}";
	$json = @file_get_contents($json_link);

    echo "<div class='col-lg-12'>";
    	if($json===FALSE) {
    		die("Unable to get data.");
    	}

    	else{
    		$obj = json_decode($json, true);

            $source = isset($obj['source']) ? $obj['source'] : "";

            // actual video
            echo "<div align='center' class='embed-responsive embed-responsive-16by9  margin-top-bottom-1em'>";
                echo "<video autoplay controls class='embed-responsive-item'>";
                    echo "<source src={$source} type=video/mp4>";
                echo "</video>";
            echo "</div>";

            echo "<div style='color:#888;'>";

                $name = isset($obj['name'])? htmlspecialchars_decode($obj['name']) : "";
            	$description = isset($obj['description'])
            					? htmlspecialchars_decode($obj['description'])
            					: "No description.";

    			$lc_link="likes_comments.php?post_id={$id}";
    			$post_description=!empty($name) ? "<b>{$name}</b> {$description}" : "{$description}";

                $page_img="<img src='https://graph.facebook.com/{$fb_page_id}/picture?type=square' />";
                $page_name = isset($obj['from']['name']) ? $obj['from']['name'] : "";

                // likes count
            	$likes_count=isset($obj['likes']['summary']['total_count'])
            		? $util->formatCount($obj['likes']['summary']['total_count'])
            		: 0;

            	// comments count
            	$comments_count=isset($obj['comments']['summary']['total_count'])
            		? $util->formatCount($obj['comments']['summary']['total_count'])
            		: 0;

                // when it was posted
            	$created_time = isset($obj['created_time']) ? $obj['created_time'] : "";
            	$converted_date_time = date( 'Y-m-d H:i:s', strtotime($created_time));
            	$ago_value = $util->getTimeAgoText($converted_date_time);

                $fb_link="https://facebook.com/{$id}";

                echo "<div>";
        			echo "<a href='{$lc_link}' style='text-decoration:none;' data-toggle='modal' data-target='#comments-modal' ";
        			echo "data-page-name=\"{$page_img} {$page_name}\" ";
        			echo "data-post-description=\"{$post_description}\" ";
        			echo ">";
        				echo "<span class='album-numbers'>";
        					echo "{$likes_count} <i class='fa fa-thumbs-o-up'></i>";
        				echo "</span>";

        				echo "<span class='album-numbers'>";
        					echo "{$comments_count}  <i class='fa fa-comments-o'></i>";
        				echo "</span>";
        			echo "</a>";
        			echo "<span class='margin-left-right-point-3em'></span>";

        			echo "<span class='album-numbers'>{$ago_value}</span>";

        			echo "<span class='margin-left-right-point-3em'></span>";

        			echo "<span class='album-numbers'>";
        				echo "<a href='{$fb_link}' target='_blank' title='View video on Facebook'>";
        					echo "<i class='fa fa-facebook-official'></i>";
        				echo "</a>";
        			echo "</span>";
                echo "</div>";

                echo "<div class='single-video-description margin-top-bottom-1em'>";
                    echo $description;
                echo "</div>";

    		echo "</div>";
    	}
    echo "</div>";
	?>

    </div> <!-- /row -->
</div> <!-- /container -->

<!-- The Bootstrap Image Gallery lightbox, should be a child element of the document body -->
<div id="blueimp-gallery" class="blueimp-gallery" data-use-bootstrap-modal="false">

    <!-- The container for the modal slides -->
    <div class="slides"></div>
    <!-- Controls for the borderless lightbox -->
    <h3 class="title"></h3>
    <a class="prev"><i class='fa fa-chevron-left'></i></a>
    <a class="next"><i class='fa fa-chevron-right'></i></a>
    <a class="close"><i class='fa fa-times'></i></a>
    <!-- <a class="play-pause"></a> -->
    <!-- <ol class="indicator"></ol> -->
    <!-- The modal dialog, which will be used to wrap the lightbox content -->
    <div class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body next"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left prev">
                        <i class="glyphicon glyphicon-chevron-left"></i>
                        Previous
                    </button>
                    <button type="button" class="btn btn-primary next">
                        Next
                        <i class="glyphicon glyphicon-chevron-right"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- modal html / for fb comments -->
<div id="comments-modal" class="modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h3 id="pop-up-title" class="modal-title">...</h3>
			</div>
			<div id="pop-up-description">
			</div>
			<div class="modal-body">
			</div>
			<!--
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
			-->
		</div><!-- /.modal-content -->
	</div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap-3.3.5-dist/js/bootstrap.min.js"></script>

<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<!-- bootstrap image gallery -->
<script src="libs/js/Bootstrap-Image-Gallery-3.1.1/js/jquery.blueimp-gallery.min.js"></script>
<script src="libs/js/Bootstrap-Image-Gallery-3.1.1/js/bootstrap-image-gallery.min.js"></script>

<!-- linkify -->
<script src="libs/js/jquery.linkify.min.js"></script>

<script>
$('#blueimp-gallery').data('useBootstrapModal', false);
$('#blueimp-gallery').toggleClass('blueimp-gallery-controls', true);

$('.single-video-description').linkify();

// to show videos
function bindModalClick(){
	$('a[data-toggle="modal"]').on('click', function(e) {

		// change modal heading
		var page_name = $(e.currentTarget).data('page-name');
		$('#pop-up-title').html(page_name);

		var post_description = $(e.currentTarget).data('post-description');
		$('#pop-up-description').html("<i class='fa fa-sticky-note'></i> " + post_description);

		// remove previous content of modal body
		$('.modal-body').empty();
		$('.modal-body').html("");

		// target url
		var target_url=$(this).attr('href');

		// text while loading the url
		$('.modal-body').html('<b>Loading comments...</b> <img src="images/ajax-loader-like-comment.gif" />');

		$('#comments-modal').modal('show');

		$('.modal-body').load(target_url);

		// Now return a false (negating the link action) to prevent Bootstrap's JS 3.1.1
		// from throwing a 'preventDefault' error due to us overriding the anchor usage.
		return false;
	});
}

function load_NextSet() {

	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');

	$.post("items_more.php?fb_page_id=<?php echo $fb_page_id; ?>", function(data){
		if (data != "") {
			$(".item_box:last").after(data);
			$('.description').linkify();

			bindModalClick();
		}

		if(data==""){
			$('div#last_item_loader').html("All videos were loaded.");
		}else{
			$('div#last_item_loader').empty();
		}
	});
};

$('#comments-modal').on('hidden', function () {
  $(this).removeData('modal');
});

$(document).ready(function(){

	bindModalClick();

	$('#blueimp-gallery').on('slidecomplete', function (event, index, slide) {
		var video;
		if ($(this).data('gallery').index === index) {
			video = $(slide).find('video').get(0);
			if (video) {
				video.play();
			}
		}
	});

	$('.description').linkify();

	$(window).scroll(function(){
		if ($(window).scrollTop() == $(document).height() - $(window).height()){
			if($('div#last_item_loader').text()==""){
				load_NextSet();
			}
		}
	});

	$(document).on('click', '.more-replies', function(){

		var more_replies_div=$(this);
		var next_page=$(this).attr('next-replies');

		more_replies_div.html('<b>Loading more replies...</b> <img src="images/ajax-loader-like-comment.gif" />');

		console.log(next_page);

		$.post("replies_more.php",
				{ replies_next_page: next_page }
			)
			.done( function(data){
					more_replies_div.after(data);
					more_replies_div.remove();
				}
			);
	});

	$(document).on('click', '#more-comments', function(){

		var more_comments_div=$(this);
		var next_page=$(this).attr('next-comments');

		more_comments_div.html('<b>Loading more comments...</b> <img src="images/ajax-loader-like-comment.gif" />');

		console.log(next_page);

		$.post("comments_more.php",
				{ comments_next_page: next_page }
			)
			.done( function(data){
					more_comments_div.after(data);
					more_comments_div.remove();
				}
			);

	});

	$(document).on('click', '.like-count-sum', function(){

		// load likers and commenters
		var pid=$(this).attr('pid');
		var show_elem=$(this).closest('.col-lg-6').find('.like-count-data');

		if(show_elem.is(":visible")) {
			// hide it
			show_elem.hide();
		}

		else{
			// show likers and comments if they are already loaded
			if (show_elem.html().length > 0) {
				show_elem.show('fast');
			}

			else{
				// show it
				show_elem.html("<img src='images/ajax-loader-like-comment.gif' />");
				show_elem.show();

				// get likers and commenters
				$.post('likes_comments.php', {
					post_id: pid
				}, function(data){
					show_elem.html(data);

					// make urls clickable in user comments
					$('.like-count-data').linkify();
				});
			}
		}
	});
});
</script>

</body>
</html>
